nav {
  position: fixed;
  z-index: 9999;
  width: 100%;
  background: #fff;
  box-shadow: 0 6px 10px rgba(0, 0, 0, 0.15);
  top:0;
}
nav .wrapper {
  position: relative;
  max-width: 1600px;
  padding: 0px 30px;
  height: 100px;
  margin: auto;
  display: flex;
   align-items: center; 
  justify-content: space-between;
}
.wrapper .logo a {
  color: #000;
  font-size: 30px;
  font-weight: 600;
  text-decoration: none;
  cursor: pointer;
}
.wrapper .nav-links {
  display: inline-flex;
    margin-bottom: 0px;
    align-items: center;
}
.nav-links li {
  list-style: none;
}
.nav-links li a {
  color: #000;
  text-decoration: none;
  font-size: 18px;
  font-weight: 400;
  padding: 9px 20px;
  border-radius: 5px;
  transition: all 0.3s ease;
  cursor: pointer;
}
/* .nav-links li a:hover {
  background: #3a3b3c;
} */
.nav-links .mobile-item {
  display: none;
}
.nav-links .drop-menu {
  position: absolute;
  background: #ffffff;
  width: 240px;
  line-height: 45px;
  top: 85px;
  opacity: 0;
  visibility: hidden;
  border-radius: 20px;
  box-shadow: 0 6px 10px rgba(0, 0, 0, 0.15);
}
.nav-links li:hover .drop-menu, .nav-links li:hover .mega-box {
  transition: all 0.3s ease;
  top: 70px;
    padding: 10px 20px;
  opacity: 1;
  visibility: visible;
}

.drop-menu li a {
  width: 100%;
  display: block;
  padding: 0 0 0 15px;
  font-weight: 400;
  border-radius: 0px;
  border-left: 2px solid transparent;
}
.mega-box {
  position: absolute;
  left: 35%;
  width: max-content;
  padding: 0 30px;
  top: 85px;
  opacity: 0;
  visibility: hidden;
}

@media screen and (max-width:1630px){
    .mega-box {
        left: 25%;
    }
}

@media screen and (max-width:1255px){
  .mega-box {
      left: 15%;
  }
  .colocationm-logo {
      height: 49px;
  }
  .nav-links li a {
      padding: 9px 9px;
  }
  nav .wrapper {
      padding: 0px 15px;
  }
}

.mega-box .content {
    background: #fff;
    padding: 25px 20px;
    display: flex;
    width: 100%;
    justify-content: center;
    border-radius: 20px;
    box-shadow: 0 6px 10px rgba(0, 0, 0, 0.15);
    gap: 20px;
}
.mega-box .content .row {
    width: max-content;
    line-height: 45px;
    max-width: 400px;
}

.megamenu-img{
    height: 200px;
}
.content .row img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 20px;
}
.content .row header {
  color: #000;
  font-size: 20px;
  font-weight: 500;
}
.content .row .mega-links {
    margin-left: 0px;
    width: max-content;
}
.row .mega-links li {
  padding: 0 20px;
}
.row .mega-links li a {
  padding: 0px;
  color: #000;
  font-size: 17px;
  display: block;
}
.row .mega-links li a:hover {
  color: #000;
  background-color: #e5e5ff;
  border-left: 2px solid #8A8AFF;
}
.wrapper .btn {
  color: #000;
  font-size: 20px;
  cursor: pointer;
  display: none;
}
.wrapper .btn.close-btn {
  position: absolute;
  right: 30px;
  top: 10px;
}

.nav-btn{
  background-color: #4883f4;
  color: #fff !important;
  font-weight: 600 !important;
  cursor: pointer;
}

nav input {
  display: none;
}

.body-text {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 100%;
  text-align: center;
  padding: 0 30px;
}
.body-text div {
  font-size: 45px;
  font-weight: 600;
}
.drop-arrow{
  padding-left: 6px;
}
@media screen and (max-width: 1100px) {
  .wrapper .btn {
    display: block;
  }
  .wrapper .nav-links {
    position: fixed;
    height: 100vh;
    width: 100%;
    max-width: 390px;
    top: 0;
    left: -100%;
    background: #ffffff;
    display: block;
    padding: 50px 10px;
    line-height: 50px;
    overflow-y: auto;
    box-shadow: 0px 15px 15px rgba(0, 0, 0, 0.18);
    transition: all 0.3s ease;
  }
  nav .wrapper {
    align-items: center;
}
  #search-popup {
    top: 10%;
    width: 85%;
  }
  /* custom scroll bar */
  ::-webkit-scrollbar {
    width: 10px;
  }
  ::-webkit-scrollbar-track {
    background: #fff;
  }
  ::-webkit-scrollbar-thumb {
    background: #fff;
  }
  #menu-btn:checked ~ .nav-links {
    left: 0%;
  }
  #menu-btn:checked ~ .btn.menu-btn {
    display: none;
  }
  #close-btn:checked ~ .btn.menu-btn {
    display: block;
  }
  .nav-links li {
    margin: 15px 10px;
  }
  .nav-links li a {
    padding: 0 20px;
    display: block;
    font-size: 20px;
  }
  .nav-links .drop-menu {
    position: static;
    opacity: 1;
    top: 65px;
    visibility: visible;
    padding-left: 20px;
    width: 100%;
    max-height: 0px;
    overflow: hidden;
    box-shadow: none;
    transition: all 0.3s ease;
  }
  #showDrop:checked ~ .drop-menu,
  #showMega:checked ~ .mega-box {
    max-height: 100%;
  }
  .nav-links .desktop-item {
    display: none;
  }
  .nav-links .mobile-item {
    display: block;
    color: #000;
    font-size: 20px;
    font-weight: 500;
    padding-left: 20px;
    cursor: pointer;
    border-radius: 5px;
    transition: all 0.3s ease;
  }
  /* .nav-links .mobile-item:hover {
    background: #3a3b3c;
  } */
  .drop-menu li {
    margin: 0;
  }
  .drop-menu li a {
    border-radius: 5px;
    font-size: 18px;
    border-left: 2px solid transparent;
  }
  .mega-box {
    position: static;
    top: 65px;
    opacity: 1;
    visibility: visible;
    padding: 0 20px;
    max-height: 0px;
    overflow: hidden;
    transition: all 0.3s ease;
  }
  .mega-box .content {
    box-shadow: none;
    flex-direction: column;
    padding: 20px 20px 0 20px;
  }
  .mega-box .content .row {
    width: 100%;
    margin-bottom: 15px;
  }
  .mega-box .content .row:nth-child(1), .mega-box .content .row:nth-child(2) {
    border-top: 0px;
  }
  .content .row .mega-links {
    border-left: 0px;
    padding-left: 15px;
  }
  .row .mega-links li {
    margin: 0;
  }
  .content .row header {
    font-size: 19px;
  }
}

@media screen and (max-width: 970px) {
    .mega-box .content .row {
        margin-bottom: 0px;
    }
    .mega-box .content {
        gap: 0px 0px;
        padding: 0;
    }
    .megamenu-img{
        margin-bottom: 10px;
    }
}

.drop-menu li a:hover {
    color: #000;
    background-color: #e5e5ff;
    border-left: 2px solid #8A8AFF;
    border-radius: 5px;
}

@media screen and (max-width: 480px){
  .colocationm-logo {
      height: 45px;
  }
}


















